Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.acl
Interface ManageableRealm

All Known Implementing Classes:
  CachingRealm, AbstractManageableRealm

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by Pluggable Security Infrastructure.

public interface ManageableRealm
extends ListableRealm, java.io.Serializable

ManageableRealm is the full-featured interface for realms. It adds to a ListableRealm's functionality the ability to create and destroy instances of users, groups, permissions, and ACLs.

Author:
  Copyright (c) 1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.

Method Summary
`void` | `deleteAcl(java.security.Principal owner, java.security.acl.Acl acl)` Deprecated. Deletes an Acl from a ManageableRealm.
`void` | `deleteGroup(java.security.acl.Group group)` Deprecated. Deletes a Group from a ManageableRealm.
`void` | `deletePermission(java.security.acl.Permission perm)` Deprecated. Deletes a Permission from a ManageableRealm.
`void` | `deleteUser(User user)` Deprecated. Deletes a User from a ManageableRealm.
`java.security.acl.Acl` | `newAcl(java.security.Principal owner, java.lang.String name)` Deprecated. Creates a new Acl with the specified owner and name.
`java.security.acl.Group` | `newGroup(java.lang.String name)` Deprecated. Returns a new group for a ManageableRealm.
`java.security.acl.Permission` | `newPermission(java.lang.String name)` Deprecated. Creates a new Permission with the specified name for a ManageableRealm.
`User` | `newUser(java.lang.String name, java.lang.Object credential, java.lang.Object constraints)` Deprecated. Returns a new user in a realm-specific way with the specified name, credentials, and optional constraints.
`void` | `setPermission(java.security.acl.Acl acl, java.security.Principal principal, java.security.acl.Permission permission, boolean allow)` Deprecated. Sets or unsets a permission for a principal in an ACL.

Methods inherited from interface weblogic.security.acl.ListableRealm
`getAcls, getGroups, getPermissions, getUsers`

Methods inherited from interface weblogic.security.acl.BasicRealm
`getAcl, getAcl, getAclOwner, getGroup, getName, getPermission, getUser, getUser, init, load, save`

Method Detail

### newUser

    public User newUser(java.lang.String name,
                        java.lang.Object credential,
                        java.lang.Object constraints)
                 throws java.lang.SecurityException

  Deprecated.
  Returns a new user in a realm-specific way with the specified name, credentials, and optional constraints. Typical credential objects are X.509 certificates, certificate tokens, and passwords. Typical constraint objects are originating network addresses, token redeemers, or expiration date.

  If a user of that name already exists, a SecurityException is thrown.

  Parameters:
    `name` - Username
    `credential` - X.509 certificate, token, or password, etc.
    `constraints` - Constraints on this user's access
  Returns:
    User in a ManageableRealm
  Throws:
    java.lang.SecurityException - if the user cannot be created as specified

### newGroup

    public java.security.acl.Group newGroup(java.lang.String name)
                                     throws java.lang.SecurityException

  Deprecated.
  Returns a new group for a ManageableRealm.

  Parameters:
    `name` - Name for the new Group
  Throws:
    java.lang.SecurityException - if the group cannot be created as specified

### newAcl

    public java.security.acl.Acl newAcl(java.security.Principal owner,
                                        java.lang.String name)
                                 throws java.lang.SecurityException

  Deprecated.
  Creates a new Acl with the specified owner and name. An access control list must always be created with an owner, and the Acl owner must be furnished to add or delete entries in the Acl.

  Parameters:
    `owner` - Owner of the access control list
    `name` - Name of the access control list
  Returns:
    Acl object
  Throws:
    java.lang.SecurityException - if the Acl cannot be created as specified

### newPermission

    public java.security.acl.Permission newPermission(java.lang.String name)
                                               throws java.lang.SecurityException

  Deprecated.
  Creates a new Permission with the specified name for a ManageableRealm.

  Parameters:
    `name` - Name for the Permission
  Returns:
    Permission object
  Throws:
    java.lang.SecurityException - if the Permission cannot be created as specified

### deleteUser

    public void deleteUser(User user)
                    throws java.lang.SecurityException

  Deprecated.
  Deletes a User from a ManageableRealm.

  Parameters:
    `user` - User to be removed from the realm
  Throws:
    java.lang.SecurityException - if the user cannot be deleted as specified

### deleteGroup

    public void deleteGroup(java.security.acl.Group group)
                     throws java.lang.SecurityException

  Deprecated.
  Deletes a Group from a ManageableRealm.

  Parameters:
    `group` - Group to be removed from the realm
  Throws:
    java.lang.SecurityException - if the group cannot be deleted as specified

### deleteAcl

    public void deleteAcl(java.security.Principal owner,
                          java.security.acl.Acl acl)
                   throws java.lang.SecurityException

  Deprecated.
  Deletes an Acl from a ManageableRealm. An AclOwner must be supplied to delete the Acl.

  Parameters:
    `owner` - Principal who is an owner of the ACL
    `acl` - Access control list to be deleted
  Throws:
    java.lang.SecurityException - if the ACL cannot be deleted as specified

### deletePermission

    public void deletePermission(java.security.acl.Permission perm)
                          throws java.lang.SecurityException

  Deprecated.
  Deletes a Permission from a ManageableRealm.

  Parameters:
    `group` - Permission to be removed from the realm
  Throws:
    java.lang.SecurityException - if the permission cannot be deleted as specified

### setPermission

    public void setPermission(java.security.acl.Acl acl,
                              java.security.Principal principal,
                              java.security.acl.Permission permission,
                              boolean allow)

  Deprecated.
  Sets or unsets a permission for a principal in an ACL. This operation will typically be subject to access control.

  Parameters:
    `acl` - Access control list to be updated
    `principal` - Principal who is an owner of the ACL
    `permission` - Permission to be updated
    `allow` - True to set permission to allow

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference